GdlDockPlaceholder

## GdlDockPlaceholder GdlDockPlaceholder |

## Synopsis

    struct              GdlDockPlaceholder;
    struct              GdlDockPlaceholderClass;
    void                gdl_dock_placeholder_attach         (GdlDockPlaceholder *ph,
                                                             GdlDockObject *object);
    GtkWidget *         gdl_dock_placeholder_new            (const gchar *name,
                                                             GdlDockObject *object,
                                                             GdlDockPlacement position,
                                                             gboolean sticky);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GdlDockObject
                               +----GdlDockPlaceholder

## Implemented Interfaces

GdlDockPlaceholder implements AtkImplementorIface and GtkBuildable.

## Properties

      "floating"                 gboolean              : Read / Write / Construct Only
      "floatx"                   gint                  : Read / Write / Construct Only
      "floaty"                   gint                  : Read / Write / Construct Only
      "height"                   gint                  : Read / Write / Construct
      "host"                     GdlDockObject*        : Read / Write
      "next-placement"           GdlDockPlacement      : Read / Write
      "sticky"                   gboolean              : Read / Write / Construct Only
      "width"                    gint                  : Read / Write / Construct

## Description

## Details

### struct GdlDockPlaceholder

    struct GdlDockPlaceholder;

### struct GdlDockPlaceholderClass

    struct GdlDockPlaceholderClass {
        GdlDockObjectClass parent_class;
    };

### gdl_dock_placeholder_attach ()

    void                gdl_dock_placeholder_attach         (GdlDockPlaceholder *ph,
                                                             GdlDockObject *object);

### gdl_dock_placeholder_new ()

    GtkWidget *         gdl_dock_placeholder_new            (const gchar *name,
                                                             GdlDockObject *object,
                                                             GdlDockPlacement position,
                                                             gboolean sticky);

## Property Details

### The `"floating"` property

      "floating"                 gboolean              : Read / Write / Construct Only

Whether the placeholder is standing in for a floating toplevel dock.

Default value: FALSE

### The `"floatx"` property

      "floatx"                   gint                  : Read / Write / Construct Only

X coordinate for dock when floating.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"floaty"` property

      "floaty"                   gint                  : Read / Write / Construct Only

Y coordinate for dock when floating.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"height"` property

      "height"                   gint                  : Read / Write / Construct

Height for the widget when it's attached to the placeholder.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"host"` property

      "host"                     GdlDockObject*        : Read / Write

The dock object this placeholder is attached to.

### The `"next-placement"` property

      "next-placement"           GdlDockPlacement      : Read / Write

The position an item will be docked to our host if a request is made to dock to us.

Default value: GDL_DOCK_CENTER

### The `"sticky"` property

      "sticky"                   gboolean              : Read / Write / Construct Only

Whether the placeholder will stick to its host or move up the hierarchy when the host is redocked.

Default value: FALSE

### The `"width"` property

      "width"                    gint                  : Read / Write / Construct

Width for the widget when it's attached to the placeholder.

Allowed values: >= G_MAXULONG

Default value: -1